Bug 30796 - wmconfig does not honor terminal flag in gnome desktop entries
Summary: wmconfig does not honor terminal flag in gnome desktop entries
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wmconfig   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-06 10:31 UTC by osi
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 10:56:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix with xterm hardcoded as the terminal. (1.02 KB, patch)
2001-03-06 10:55 UTC, osi
no flags Details | Diff

Description osi 2001-03-06 10:31:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2 i686)


The terminal flag in gnome desktop entries is ignored by wmconfig. The
produced menus are thus missing the terminal invocation e.g. `xterm -e',
even when
it is needed.

Reproducible: Always
Steps to Reproduce:
wmconfig --output=fvwm2
	

Actual Results:  
...
AddToMenu	Red_Hat_Linux.Internet	"Elm"	Exec	elm &
...

Expected Results:  
...
AddToMenu	Red_Hat_Linux.Internet	"Elm"	Exec	xterm -e elm &
...

Comment 1 osi 2001-03-06 10:55:01 UTC
Created attachment 11862 [details]
Fix with xterm hardcoded as the terminal.

Comment 2 Preston Brown 2001-03-14 22:42:22 UTC
added in 0.9.10 and later.


Note You need to log in before you can comment on or make changes to this bug.